Summary:	A graphics library for drawing .gif files.
Name:		gd
Version:	1.8.4
Release:	1.0.100
Source:		http://www.boutell.com/gd/http/gd-%{version}.tar.gz
Patch:		gd-1.8.4-Makefile.diff
Copyright:	BSD-style
Group:		System Environment/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Prefix:		/usr
Prereq:		/sbin/ldconfig

%description
Gd is a graphics library for drawing .gif files.  Gd allows your code to
quickly draw images (lines, arcs, text, multiple colors, cutting and
pasting from other images, flood fills) and write out the result as a
.gif file. Gd is particularly useful in web applications, where .gifs
are commonly used as inline images.  Note, however, that gd is not a
paint program.


%package devel
Summary:	The development libraries and header files for gd.
Group:		Development/Libraries
Requires:	gd = %{PACKAGE_VERSION}

%description devel
These are the development libraries and header files for gd, the .gif
graphics library.


%prep
%setup -q
%patch -p1

%build
  make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  install -d $RPM_BUILD_ROOT/usr/{bin,lib,include}

  make INSTALL_LIB=$RPM_BUILD_ROOT/usr/lib \
       INSTALL_INCLUDE=$RPM_BUILD_ROOT/usr/include \
       INSTALL_BIN=$RPM_BUILD_ROOT/usr/bin \
       install

  ln -sf libgd.so.%{version} $RPM_BUILD_ROOT/usr/lib/libgd.so

  strip $RPM_BUILD_ROOT/usr/{bin/*,lib/lib*.so.*.*.*} || :

%post
  /sbin/ldconfig

%files
  %defattr(-,root,root)
  %doc readme.txt index.html
  /usr/lib/*.so.*

%files devel
  %defattr(-,root,root)
  /usr/lib/*.so
  /usr/lib/*.a
  /usr/include/*

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Fri  Jan 17 2003 Eric B. Lubow <eric@guardiandigital.com>
- Version 1.8.4, Release 1.0.1
  - Initial build for EnGarde v1.0.1 (Finestra).
